In CAR bluetooth not working

Bug #1546310 reported by Uranicus on 2016-02-16
68
This bug affects 15 people
Affects Status Importance Assigned to Milestone
Canonical System Image
Critical
John McAleely
bluez (Ubuntu)
Undecided
Unassigned
pulseaudio (Ubuntu)
High
Simon Fels

Bug Description

I have paired my phone with my car as always (connection did work in the past). Connection runs as expected and everything like display, phone book, ... but this evening I wanted to place a call from my car and it did not work. I was then also not able to take a call (I could not hear the conterpart and the counterpart could not hear me).

Since yesterday I am on:

current build number: 259
device name: krillin
channel: ubuntu-touch/rc-proposed/bq-aquaris.en
last update: 2016-02-16 12:09:18
version version: 259
version ubuntu: 20160216
version device: 20160108-efc96d8
version custom: 20160111-926-36--vivid

With OTA9 I did not have the issue. I have attached my logs. I have enabled the following bug-settings for bluetooth:

sudo sed -i 's/exec \/usr\/sbin\/bluetoothd/exec \/usr\/sbin\/bluetoothd -d/g' /etc/init/bluetooth.conf

sudo sed -i 's/--start/--start --log-level=debug/g' /usr/share/upstart/sessions/pulseaudio.conf

I have modified the line in ofono.override to:

exec ofonod -P -d provision,udev*,dun*,smart*,hfp_bluez5,stktest,sap

I hope my reporting helps to trace down this issue.

Uranicus

Uranicus (matthias.ritter) wrote :
Uranicus (matthias.ritter) wrote :

By the way, if someone wants to check when I had the issues and on which time zone I am:

I am on CET.

I had this issues with phone calls at:
20:35 h
20:38 h
20:39 h
20:44 h

Uranicus

Uranicus (matthias.ritter) wrote :

I have a new insight on the bug.

I experienced today the following:

The call (to be a bit more precise: the connection between my phone and the number I have dialed) is established.

The sound of the call is not routed via the loudspeaker of the car.

I can hear the voice only if I choose internal loudspeaker of the phone or the normal ear loudspeaker of the phone (via the menu of the phone while the call is in progress). But the bluetooth loudspeaker does not get the sound (and I believe that also the microphone of the car is not in use). I still need to test if music can be played via bluetooth to the loudspeaker of the car (I expect not but will report later on that).

Uranicus

tags: added: bluetooth
Changed in canonical-devices-system-image:
assignee: nobody → John McAleely (john.mcaleely)
importance: Undecided → Critical
milestone: none → ww08-2016
status: New → Confirmed
Uranicus (matthias.ritter) wrote :

Dear all,

I have an update on this issue. I am now on:

device name: krillin
channel: ubuntu-touch/rc-proposed/bq-aquaris.en
last update: 2016-02-18 06:52:03
version version: 262
version ubuntu: 20160218
version device: 20160108-efc96d8
version custom: 20160111-926-36--vivid

Same issue as before but a bit more precise:
- I want to place a call via my car bluetooth set (Seat Alhambra), I get not output to the loudspeakers
- I can activate the phone loudspeaker and then also the microphone (of the phone) works

NEW:
- listening to music (music app, podbird, uradio, ....) WORKS! I can listen to music via bluetooth!

I have the updated logs of today attached.

Uranicus

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu):
status: New → Confirmed
Cesar Herrera (chg1) wrote :

I have a Citroen C4
When I try to pair the phone the car says that is not compatible.
I think there is a problem in my car but in the past I was able to pair them.

Can confirm.
I have the same problem since OTA9.
Worked fine with OTA8.
I am using a Parrothands-free kit in my car.

Uranicus (matthias.ritter) wrote :

Dear all,

comment #7 (and most likely comment #6) do not relate to the issue I am reporting here. I was on OTA9 AND IT WORKED (see bug report). I have verified it today where I went back to OTA9 and tried it again. I was able to call from the car and to hear the counterpart via my car loudspeakers. As it should be.

Just for completion I will add the syslog of this morning to the reporting.

My report wants to say: between OTA9 and the current rc-proposed a negative change appeared in the bluetooth implementation.

Uranicus

Uranicus (matthias.ritter) wrote :

Dear all,

I have a new insight which might correlate to this bug or contribute to the understanding. Maybe first of all, I just tested the above scenario with:

current build number: 270
device name: krillin
channel: ubuntu-touch/rc-proposed/bq-aquaris.en
last update: 2016-03-01 15:29:28
version version: 270
version ubuntu: 20160301
version device: 20160108-efc96d8
version custom: 20160111-926-36—vivid

this issue is still the same. But I haven't expected it differently since you seemed to be busy with other stuff.

Now the new insight:
-----------------------------

I have had a similar issue with OTA9.1 but only in the following circumstance: I start to call (and I establish this call fully) before I start the bluetooth of my car. I have expected that the bluetooth of the car picks this call up and I can continue with it via my car microphone & speaker. But I ended with the same behaviour as described above (but only in this circumstance with OTA9.1!):

I can not hear anything via my car speakers only if I turn on the phone speaker (inner & outer speaker) I could hear it via these speakers. I you want to have a look at these logs:

start of the call: 26.02.2016 at 18:38 h CET
start of the in car bluetooth system: approx. 18:42 h

I have verified this on later occasions again, this is a reproducible situation for my phone/car/bluetooth combination.

Simon Fels (morphis) wrote :

There was a bug in pulseaudio which was brought in while we added support for Android 5.x. This is only valid for current rc-proposed. A fix is available in silo 47 (see https://requests.ci-train.ubuntu.com/#/ticket/1059 for details). If you want to help verifying the fix feel free to install the silo and report back.

However that still doesn't need to fix the original bug reported here.

tags: added: bluez-touch
Simon Fels (morphis) wrote :

I went through the logs now and found the cause for what you see (no audio on local or remote side).

We have lock in place which should keep the stream inside pulseaudio up while we're not really streaming anything through it as this completely done in software. However in your case the lock doesn't seem to be set ever. On my side I am getting the following line

Mar 2 08:28:37 ubuntu-phablet pulseaudio[2142]: [pulseaudio] module-bluez5-device.c: Set bluetooth.hsp.prevent.suspend.transport true (ret 1)

in my syslog however in your case I can't really fine it. This is quite essential for the audio setup to work properly. Will do some more investigation to see if I find a reason for this.

Changed in pulseaudio (Ubuntu):
assignee: nobody → Simon Fels (morphis)
status: New → Confirmed
importance: Undecided → Critical
Simon Fels (morphis) wrote :

I got this down to pulseaudio not being able to find the sink.fake.sco sink element we have in place to do the suspend/resume handling of the SCO stream. Trying some small tweaks to see if they bring the same effect here. If they do I will push those changes to silo 47 to see if that helps to fix this bug as I wasn't able to reproduce this yet.

Changed in pulseaudio (Ubuntu):
status: Confirmed → In Progress
Changed in bluez (Ubuntu):
status: Confirmed → Invalid
Simon Fels (morphis) wrote :

Ok, pushed a "possible" fix to silo 47.

@Matthias: Can you try if the problem goes away after installing silo 47?

Uranicus (matthias.ritter) wrote :

@Simon

Thanks for the fix. I am happy to test it! Can you please give me a hand what I need to do to install silo47? If I am on rc-proposed do I just need to run:

citrain device-upgrade 47

I read for another silo that the command is: citrain device-upgrade 0 <your pin> (What does <your pin> mean? I found this at: https://wiki.ubuntu.com/Touch/DisplayCasting)

Does this influence any further updates?

Thnaks for your support,

Matthias

@Uranicus

Yes, citrain device-upgrade <silo> <pin> is the command you should run. The 'pin' in this case is the code that you use to unlock the screen which also happens to be a user password. The citrain needs it for sudo. The 'silo' is 47 for this fix.

Best,
Konrad

Uranicus (matthias.ritter) wrote :

@Simon, @Konrad,

I have tested it with the following configuration:

current build number: 271
device name: krillin
channel: ubuntu-touch/rc-proposed/bq-aquaris.en
last update: 2016-03-02 13:27:37
version version: 271
version ubuntu: 20160302
version device: 20160108-efc96d8
version custom: 20160111-926-36--vivid

I have added silo47 to this configuration. I have then tested the issue with my Seat as described above and it works. At least with the standard test case I have always used. I will monitor this of cause in the coming days. My logs are attached.

Just for information: the issues around bug:

https://bugs.launchpad.net/canonical-devices-system-image/+bug/1500242

are still there. You can see the reaction of the phone regarding the other two bluetooth devices (Jabra, Audi) also in the logs. Shall I post this additionally in bug 1500242?

Matthias

Simon Fels (morphis) wrote :

@Matthias: Yes let take #1500242 separately to not confuse things.

Sounds good that this seems to be an improvement for you. However lets monitor this for a bit as it could be a thing which only happens after some (however in your logs I never saw it detecting the sink.fake.sco sink from pulse which it seems to detect now reliable).

Uranicus (matthias.ritter) wrote :

@Simon

I wanted to give you a feedback on my testings. I am now on:

current build number: 275
device name: krillin
channel: ubuntu-touch/rc-proposed/bq-aquaris.en
last update: 2016-03-08 06:14:58
version version: 275
version ubuntu: 20160308
version device: 20160108-efc96d8
version custom: 20160111-926-36--vivid

still with the silo installation I did on 2016-03-02 (so I have gradually updated my rc-proposed without having re-installed silo47 (I hope this is as you have expected it).

I had no issues with my bluetooth until this morning (2016-03-09, approx. 8:26 h CET). This issue might have something to do with the changes coming from silo47 or are just bad luck ...

I was in a longer telephone call. All of a sudden the bluetooth connection got interrupted. Looking at the logs I found around that time the following log statement from bluetooth:

Mar 9 08:26:31 ubuntu-phablet bluetoothd[899]: Start: Connection timed out (110)

The call itself still was active just the phone disconnected from my car.

Has this something to do with your modification or is this a different / new bug?

Logs are attached.

Matthias

Simon Fels (morphis) wrote :

@Matthias: Yes lets take the disconnection as separate bug so that we can close this one. The bug you've tested now landed in rc-proposed and will be part of OTA10.

That the connection times out smells really like a different problem so another bug is the right way. Can you attach the log files there too?

Changed in pulseaudio (Ubuntu):
status: In Progress → Fix Committed
Changed in canonical-devices-system-image:
status: Confirmed → Fix Committed
Simon Fels (morphis) on 2016-03-10
tags: added: bluetooth-ota10
Uranicus (matthias.ritter) wrote :

Simon,

thanks for the feedback. I have logged the new finding as bug: 1555608 (you have seen this already).

Thanks for updating rc-proposed with the solution for bug: 1546310

Do I need to do something special with my rc-proposed, since I have installed silo47? Or will the next update correct all of that automatically?

Regards,
Matthias

Changed in canonical-devices-system-image:
status: Fix Committed → Fix Released

I have a similar problem on Meizu Pro 5 Ubuntu edition (Factory installed).
OS - Ubuntu 15.04 (OTA-10.2)
I have a "Ford B-MAX" (built in 2013) with factory built-in "SYNC" hands-free.
Phone properly paired, properly synchronize phonebook. I can dial a phone number and I can answer on call using the car's control panel buttons. But it is impossible to talk using the built-in car hands-free system, because of the terrible hissing and speaker's voice can not be understood when the car is in motion or absolutely silent when the car is stopped.

Addition problem - Ubuntu phone does not support SMS writing-reading and SMS text to speech playing in my car. This functionality is fully supported when I use phone by Android version 4 and higher.

Please open a new bug (actually two, since you appear to wish to report two
problems). Both appear to be different to the original reported here.

Bugs are not discussions for lots of problems. One concrete problem per
bug, and we duplicate those which have the same underlying fix required.

Same problem with Meizu Pro 5 (OTA-11) and bluetooth headset Samsung HM1500

Shanekpiper (shanekpiper) wrote :

I too have just brought a Pro 5 and have hissing over car phone Bluetooth, seemingly the mx4 does not have this issue.

Playing music through Bluetooth speaker bar there is no issues, just with calls.

Thomas Jegen (thomas-jegen) wrote :

Hello,

Is there any update this bug?

I have an Aquaris 4.5 on OTA-15 and I am still having that same issue with my new Pioneer car audo. Can pick up calls but sound is not routed through car speakers and car microphone does not seem to record sound.

I had the same issue with an Alpine care audio before and it never worked.

Would be nice to see some progress here.

Cheers,

Thomas

Uranicus (matthias.ritter) wrote :

Hi Thomas,

I raised this bug and I am still affected by the bug (e.g. with the Audi A3).

Due to the switch to the snap based OS I do not expect to see any progress in the coming months for our phones (being a Aquaris e4.5 user). I think the expectation is that our phones only get security fixes.

I nevertheless hope heavily that the devs are considering these issues with bluetooth, which have been encountered in the last years and find a solution for the future. It seems that this issue (bluetooth with cars, headsets, speakers, ...) is not as simple as implementing bluez 5.xx and that's it.

Nevertheless the "alternative OS" developers find their solutions to this issue so I hope the Ubuntu team can do it alike.

I am not a dev, just a user. So we can raise the awareness that this is still requested and work on this subject highly appreciated.

Matthias

tags: added: pulse-touch
Daniel van Vugt (vanvugt) wrote :
Changed in pulseaudio (Ubuntu):
importance: Critical → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers